package com.qmth.eds.bean.dto.coefficient;

import com.qmth.eds.common.enums.FormulaEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class Coefficient {

    @ApiModelProperty(value = "ID")
    private Long id;
    @ApiModelProperty(value = "赋分公式")
    private FormulaEnum formula;
    @ApiModelProperty(value = "赋分系数：统一设置、按考查学院设置")
    private Boolean all;
    @ApiModelProperty(value = "统一设置系数")
    private Double value;
    @ApiModelProperty(value = "重修单独设置赋分系数")
    private Boolean openRebuild;
    @ApiModelProperty(value = "重修赋分系数")
    private Double rebuildValue;
    @ApiModelProperty(value = "赋分后59分自动加1")
    private Boolean openRound;
    @ApiModelProperty(value = "赋分后59分自动加1")
    private Boolean open59To58;
    @ApiModelProperty(value = "原始分四舍五入")
    private Boolean openTotalScoreRound;
    @ApiModelProperty(value = "赋分后等于54分调整赋分分值为53")
    private Boolean open54To53;
    @ApiModelProperty(value = "赋分后如果小于等于54.5的取原始分值")
    private Boolean open54d5;
    @ApiModelProperty(value = "赋分后小于原始分值取原始分值")
    private Boolean openFetchOriginScore;
    @ApiModelProperty(value = "学院系数设置明细")
    private List<Detail> detail;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public FormulaEnum getFormula() {
        return formula;
    }

    public void setFormula(FormulaEnum formula) {
        this.formula = formula;
    }

    public Boolean getAll() {
        return all;
    }

    public void setAll(Boolean all) {
        this.all = all;
    }

    public Double getValue() {
        return value;
    }

    public void setValue(Double value) {
        this.value = value;
    }

    public Boolean getOpenRebuild() {
        return openRebuild;
    }

    public void setOpenRebuild(Boolean openRebuild) {
        this.openRebuild = openRebuild;
    }

    public Double getRebuildValue() {
        return rebuildValue;
    }

    public void setRebuildValue(Double rebuildValue) {
        this.rebuildValue = rebuildValue;
    }

    public Boolean getOpenRound() {
        return openRound;
    }

    public void setOpenRound(Boolean openRound) {
        this.openRound = openRound;
    }

    public Boolean getOpen59To58() {
        return open59To58;
    }

    public void setOpen59To58(Boolean open59To58) {
        this.open59To58 = open59To58;
    }

    public Boolean getOpenTotalScoreRound() {
        return openTotalScoreRound;
    }

    public void setOpenTotalScoreRound(Boolean openTotalScoreRound) {
        this.openTotalScoreRound = openTotalScoreRound;
    }

    public Boolean getOpen54To53() {
        return open54To53;
    }

    public void setOpen54To53(Boolean open54To53) {
        this.open54To53 = open54To53;
    }

    public Boolean getOpen54d5() {
        return open54d5;
    }

    public void setOpen54d5(Boolean open54d5) {
        this.open54d5 = open54d5;
    }

    public Boolean getOpenFetchOriginScore() {
        return openFetchOriginScore;
    }

    public void setOpenFetchOriginScore(Boolean openFetchOriginScore) {
        this.openFetchOriginScore = openFetchOriginScore;
    }

    public List<Detail> getDetail() {
        return detail;
    }

    public void setDetail(List<Detail> detail) {
        this.detail = detail;
    }
}
