package com.qmth.eds.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Objects;

/**
 * @Description: 班级result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/5/23
 */
public class ClazzResult implements Serializable {

    @ApiModelProperty(value = "id")
    String id;

    @ApiModelProperty(value = "名称")
    String name;

    public ClazzResult() {

    }

    public ClazzResult(String id, String name) {
        this.id = id;
        this.name = name;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        ClazzResult that = (ClazzResult) o;
        return Objects.equals(id, that.id) && Objects.equals(name, that.name);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, name);
    }
}
