package com.qmth.eds.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.eds.common.entity.CloudMarkingScoreForeign;

import javax.servlet.http.HttpServletResponse;

/**
 * 对外输出成绩表 服务类
 */
public interface CloudMarkingScoreForeignService extends IService<CloudMarkingScoreForeign> {

    IPage<CloudMarkingScoreForeign> pageData(Long semesterId, Long examTypeId, Long collegeId, String examId, String syncCourseCode, Integer pageNumber, Integer pageSize);

    void downloadScore(Long semesterId, Long examTypeId, String examId, HttpServletResponse response);

    void deleteByCourseCode(Long collegeId, Long semesterId, Long examTypeId, String syncCourseCode, String courseCode);
}
