package com.qmth.eds;

import com.googlecode.aviator.AviatorEvaluator;
import com.qmth.eds.common.entity.ExamSyncStudentTemp;
import com.qmth.eds.common.tools.WhuUtils;
import com.qmth.eds.job.service.JobService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 武汉大学测试类
 */
@SpringBootTest
@RunWith(SpringRunner.class)
public class AviatorTest {

    @Test
    public void test() {

    }

    public static void main(String[] args) {
        String formula1 = "a+(100-a)/b";

        Map<String, Object> paramMap=new HashMap<>();
        paramMap.put("a", 68.5);
        paramMap.put("b", 0.5);
        String string = AviatorEvaluator.compile(formula1).execute(paramMap).toString();
        System.out.println(string);

        String string1 = AviatorEvaluator.execute("1.2+3+4").toString();
        System.out.println(string1);

        Map<String, Object> paramMap1=new HashMap<>();
        paramMap1.put("a", 5);
        paramMap1.put("b", 4);
        String string2 = AviatorEvaluator.compile("a/(b-1.0)").execute(paramMap1).toString();
        System.out.println(string2);
    }

}
